Routescope APIRoutescope API
RouteScope Self-Service

Get my log statistics

🔑 Requires token authentication (TokenAuth)

Aggregates logs of the user that owns the current token within a time window, returning the total quota consumed, RPM (requests per minute) and TPM (tokens per minute).

GET
/api/token/self/log/stat
curl -X GET "https://webapi.routescope.ai/api/token/self/log/stat"
{
  "success": true,
  "message": "",
  "data": {
    "quota": 0.24,
    "rpm": 3,
    "tpm": 4500
  }
}

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer Token for authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Query Parameters

start_timestamp?integer

Start time (Unix timestamp in seconds)

end_timestamp?integer

End time (Unix timestamp in seconds)

token_name?string

Filter by token name

model_name?string

Filter by model name

group?string

Filter by group

Response Body

application/json

How is this guide?

Last updated on